자동실행 스크립트 ( node )


  • Level 4

    안녕하세요 node 컨테이너를 실행하면 자동으로 버전이 12로 고정되는데
    매번 14로 설치하기 귀찮아서
    자동 실행 스크립트에

    nvm install v14
    cd 프로젝트 폴더
    npm start
    를 해 두었는데 아무것도 안됩니다
    어떻게 하면 될까요?

  • Level 5

    안녕하세요.

    nvm 이 정상적으로 설치가 되셨나요 ?

    터미널에 $ nvm --version 명령어를 통해 확인 할 수 있습니다.


    현재 node가 기본 스택으로 깔린 컨테이너를 사용중인가요 ?

    node가 기본으로 깔린 컨테이너에서는 nvm을 설치 하려고 하면 에러가 뜹니다.
    기본 스택이 node 인 컨테이너는 npm을 이용해 전역으로 설치가 된 패키지들이 있어서 nvm을 이용해 node 버전을 설치할 경우 에러가 나게 됩니다.

    계속해서 nvm으로 노드 버전 관리를 하고 싶으시다면 node가 기본적으로 깔려 있지 않은 컨테이너를 새로 만드신 후 node 버전 관리를 해주시거나,
    node가 기본스택으로 깔린 컨테이너에서 버전을 올리고 싶다면 npm 을 이용한 버전 업그레이드를 하시면 되겠습니다.


    node 가 기본적으로 깔려있지 않고, nvm 으로 버전 업데이트가 되지 않는 경우라면 다시 한번 알려주세요

  • Level 4

    @정성연 말씀하신대로 루트폴더부터 시작해서
    cd /workspace/autostand_git/autostand 로 지정해도 안되고

    항상 nvm i v14 로 설치하고 시작하는데
    nvm 노드 글로벌 설치는 어떻게 쓰면 될까요?
    nvm은 -g가 먹히지 않는것같아서요

  • Level 5

    node 14버전은 글로벌로 한번만 업그레이드 하면, 컨테이너 실행마다 설치를 하지 않으셔도
    14버전을 이용 가능합니다. ( = 자동실행 스크립트를 사용하지 않아도 가능합니다 )

    컨테이너에 접속하셔서 아래 링크를 따라 적용하시고 어려우신 부분이있다면 알려주세요.
    https://pakss328.medium.com/node-npm-upgrade-5ccb10558bc6

    (참고로 자동실행 스크립트의 경로는 root 디렉토리 입니다.
    두번째 줄의 cd 명령어가 정상 작동 하였는지 확인해주세요.)

SUGGESTED TOPICS